#loader{
    z-index: 2147483647;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    box-shadow: 0 0 40px #00000040;
    transition: 1s ease;
}

#loader-container{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: white;
    background: linear-gradient(45deg, #775ab6, #850fac);
    width: 100vw;
    height: 100vh;
}

#loader img{
    width: 50%;
    max-width: 150px;
}









#home{
    position: relative;
    padding: 200px clamp(30px, 10%, 10%);
    padding-top: 250px;
    background: linear-gradient(45deg, #A181E5, #AD2AD8);
    min-height: 85vh;
    color: white;
    z-index: 0;
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

#home-content{
    max-width: 800px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 30px;
}

#home-links{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 10px;
    text-align: center;
    font-size: 38px;
}

#home-links a{
    color: #ffffff80;
    transition: 0.5s ease;
}

#home-links a:hover{
    transform: scale(1.1);
    color: #ffffff;
}

#home-text{
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 30px;
    flex-flow: column;
}

#home-text h1{
    font-size: 50px;
    font-weight: 900;
    text-shadow: 0 0 20px #00000040;
}

#home-text p{
    opacity: 0.75;
    text-shadow: 0 0 20px #00000040;
}

#home-image{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    overflow: hidden;
}

#home-image img{
    width: 100vw;
    max-width: 1300px;
    z-index: -1;
}










#about{
    position: relative;
    padding: 80px clamp(30px, 10%, 10%);
    display: grid;
    grid-template-columns: repeat(2,1fr);
    place-items: center;
    gap: 50px;
}

#about-text span{
    opacity: 0.75;
}

#about-text h2{
    font-size: 50px;
    font-weight: 800;
}

#about-text p{
    opacity: 0.75;
}

#about-image img{
    width: 100%;
    border-radius: 30px;
}









#stats{
    position: relative;
    padding: 50px clamp(30px, 10%, 10%);
    background: linear-gradient(45deg, #A181E5, #AD2AD8);
    color: white;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    gap: 30px;
}

.stats-item{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 10px;
    text-align: center;
    margin: auto;
}

.stats-item b{
    font-size: 60px;
}









#services{
    position: relative;
    padding: 80px clamp(30px, 10%, 10%);
    text-align: center;
}

#services > span{
    opacity: 0.75;
}

#services h2{
    font-size: 50px;
    font-weight: 800;
}

#services p{
    max-width: 700px;
    margin: auto;
    opacity: 0.75;
}

#services-list{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    gap: 20px;
    margin-top: 80px;
}

.services-item{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 20px;
    box-shadow: 0 0 30px #00000020;
    padding: 30px;
    border-radius: 20px;
    transition: 0.3s ease;
}

.services-item:hover{
    background-color:#AD2AD8;
    color: white;
    transform: scale(1.1);
}

.services-item:nth-of-type(1){
    margin-left: 0;
}
.services-item:nth-last-of-type(){
    margin-right: 0;
}

.services-item i{
    font-size: 70px;
}










#whyUs{
    position: relative;
    padding: 100px clamp(30px, 10%, 10%);
    background-color: #00000010;
}

#whyUs-text{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 50px;
}

#whyUs-title > span{
    opacity: 0.75;
}

#whyUs-title h2{
    font-size: 50px;
    font-weight: 800;
}

#whyUs-text p{
    margin: 20px 0 40px 0;
    opacity: 0.75;
    max-width: 600px;
    margin: auto 0 auto auto;
}

#whyUs-list{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 70px 40px;
    margin-top: 100px;
}

#whyUs-list span{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    text-align: center;
    gap: 20px;
}

#whyUs-list span i{
    font-size: 100px;
}

#whyUs-list span b{
    font-weight: 500;
}












#goal{
    position: relative;
    padding: 80px clamp(30px, 10%, 10%);
    display: grid;
    grid-template-columns: repeat(2,1fr);
    place-items: center;
    gap: 50px;
}

#goal-text span{
    opacity: 0.75;
}

#goal-text h2{
    font-size: 50px;
    font-weight: 800;
}

#goal-text p{
    opacity: 0.75;
}

#goal-image img{
    width: 100%;
    border-radius: 30px;
}












@media screen and (max-width: 1280px) {
    
}
@media screen and (max-width: 1000px) {
    #services-list{
        grid-template-columns: repeat(2,1fr);
    }
}
@media screen and (max-width: 800px) {
    #home{
        padding-top: 200px;
    }
    #about{
        grid-template-columns: 1fr;
    }
    #services-list{
        grid-template-columns: repeat(2,1fr);
    }
    #whyUs-text{
        grid-template-columns: repeat(1,1fr);
        gap: 30px;
    }
    #whyUs-text h2, #whyUs-text p{
        margin: unset;
        max-width: unset;
    }
    #goal{
        grid-template-columns: 1fr;
    }
    #goal-image{
        order: 2;
    }
}
@media screen and (max-width: 500px) {
    body{
        font-size: 16px;
    }
    #home-content h1{
        font-size: 40px;
    }
    #home-links{
        display: none;
    }
    #home{
        padding-top: unset;
        padding: 150px clamp(30px, 10%, 10%);
    }
    #about-text h2{
        font-size: 40px;
    }
    #services h2{
        font-size: 40px;
    }
    #services-list{
        grid-template-columns: repeat(1,1fr);
    }
    #whyUs-title h2{
        font-size: 40px;
    }
    #whyUs-list{
        display: grid;
        grid-template-columns: repeat(2,1fr);
        gap: 70px 40px;
        margin-top: 100px;
    }
    #whyUs-list span i{
        font-size: 50px;
    }
    #goal-text h2{
        font-size: 40px;
    }
}








#header > a{
    transform: translateX(-50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.4s;
}

#header-menu{
    transform: translateX(50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.4s;
}

#home-content h1{
    transform: translateX(-50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.4s;
}

#home-content p{
    transform: translateX(-50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.5s;
}

#home-content a{
    transform: translateX(-50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.6s;
}

#home-image{
    transform: translateX(50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.4s;
}

@keyframes homeAnim{
    from{ }
    to{ transform: translateX(0); opacity: 1; }
}




#about-text.animate{
    opacity: 0;
    transform: translateX(-50px);
}
#about-image.animate{
    opacity: 0;
    transform: translateX(50px);
}

.stats-item.animate{
    opacity: 0;
    transform: translateY(50px);
}

#services span.animate{
    opacity: 0;
    transform: translateY(50px);
}
#services h2.animate{
    opacity: 0;
    transform: translateY(50px);
}
#services p.animate{
    opacity: 0;
    transform: translateY(50px);
}
.services-item.animate{
    opacity: 0;
    transform: translateX(-50px);
}
.services-item.animated:nth-of-type(1){ transition-delay: 0.1s; }
.services-item.animated:nth-of-type(1){ transition-delay: 0.1s; }
.services-item.animated:nth-of-type(2){ transition-delay: 0.2s; }
.services-item.animated:nth-of-type(3){ transition-delay: 0.3s; }
.services-item.animated:nth-of-type(4){ transition-delay: 0.4s; }
.services-item.animated:nth-of-type(5){ transition-delay: 0.5s; }
.services-item.animated:nth-of-type(6){ transition-delay: 0.6s; }

#whyUs-title.animate{
    opacity: 0;
    transform: translateX(-50px);
}
#whyUs-text p.animate{
    opacity: 0;
    transform: translateX(50px);
}
#whyUs-list span.animate{
    opacity: 0;
    transform: translateX(-50px);
}
#whyUs-list span.animated:nth-of-type(1){ transition-delay: 0.1s; }
#whyUs-list span.animated:nth-of-type(1){ transition-delay: 0.1s; }
#whyUs-list span.animated:nth-of-type(2){ transition-delay: 0.2s; }
#whyUs-list span.animated:nth-of-type(3){ transition-delay: 0.3s; }
#whyUs-list span.animated:nth-of-type(4){ transition-delay: 0.4s; }
#whyUs-list span.animated:nth-of-type(5){ transition-delay: 0.5s; }
#whyUs-list span.animated:nth-of-type(6){ transition-delay: 0.6s; }

#goal-text.animate{
    opacity: 0;
    transform: translateX(50px);
}
#goal-image.animate{
    opacity: 0;
    transform: translateX(-50px);
}